Package com.independentsoft.office.odf

# Enum Class Key

java.lang.Object
java.lang.Enum<Key>
com.independentsoft.office.odf.Key

All Implemented Interfaces:
  `Serializable`, `Comparable<Key>`, `Constable`

public enum Key extends Enum<Key>
Represents a type for the index entries that should be used for sorting.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADDRESS`
  Specifies the address for a bibliography index entry.
  `ANNOTE`
  Specifies the annotation for a bibliography index entry.
  `AUTHOR`
  Specifies the author or authors for a bibliography index entry.
  `BIBLIOGRAPHY_TYPE`
  Specifies to which type of bibliographical entry a template applies.
  `BOOK_TITLE`
  Specifies the book title for a bibliography index entry.
  `CHAPTER`
  Specifies the chapter reference for a bibliography index entry.
  `CUSTOM_1`
  Specifies the first of up to five user defined information for a bibliography index entry.
  `CUSTOM_2`
  Specifies the second of up to five user defined information for a bibliography index entry.
  `CUSTOM_3`
  Specifies the third of up to five user defined information for a bibliography index entry.
  `CUSTOM_4`
  Specifies the fourth of up to five user defined information for a bibliography index entry.
  `CUSTOM_5`
  Specifies the fifth of up to five user defined information for a bibliography index entry.
  `EDITION`
  Specifies the edition for a bibliography index entry.
  `EDITOR`
  Specifies the editor for a bibliography index entry.
  `HOW_PUBLISHED`
  Specifies the publication type for a bibliography index entry.
  `IDENTIFIER`
  Specifies the identifier for a bibliography index entry.
  `INSTITUTION`
  Specifies the institution for a bibliography index entry.
  `ISBN`
  Specifies the ISBN for a bibliography index entry.
  `ISSN`
  Specifies the ISSN for a bibliography index entry.
  `JOURNAL`
  Specifies the journal for a bibliography index entry.
  `MONTH`
  Specifies the month for a bibliography index entry.
  `NONE`
  None.
  `NOTE`
  Specifies the note for a bibliography index entry.
  `NUMBER`
  Specifies the number for a bibliography index entry.
  `ORGANIZATIONS`
  Specifies one or more organizations for a bibliography index entry.
  `PAGES`
  Specifies the page number or page numbers for a bibliography index entry.
  `PUBLISHER`
  Specifies the publisher for a bibliography index entry.
  `REPORT_TYPE`
  Specifies the report type for a bibliography index entry.
  `SCHOOL`
  Specifies the school for a bibliography index entry.
  `SERIES`
  Specifies the series for a bibliography index entry.
  `TITLE`
  Specifies the title for a bibliography index entry.
  `URL`
  Specifies the URI for a bibliography index entry.
  `VOLUME`
  Specifies the volume for a bibliography index entry.
  `YEAR`
  Specifies the year for a bibliography index entry.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Key`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static Key[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ADDRESS

    public static final Key ADDRESS
    Specifies the address for a bibliography index entry.

  - ### ANNOTE

    public static final Key ANNOTE
    Specifies the annotation for a bibliography index entry.

  - ### AUTHOR

    public static final Key AUTHOR
    Specifies the author or authors for a bibliography index entry.

  - ### BIBLIOGRAPHY_TYPE

    public static final Key BIBLIOGRAPHY_TYPE
    Specifies to which type of bibliographical entry a template applies.

  - ### BOOK_TITLE

    public static final Key BOOK_TITLE
    Specifies the book title for a bibliography index entry.

  - ### CHAPTER

    public static final Key CHAPTER
    Specifies the chapter reference for a bibliography index entry.

  - ### CUSTOM_1

    public static final Key CUSTOM_1
    Specifies the first of up to five user defined information for a bibliography index entry.

  - ### CUSTOM_2

    public static final Key CUSTOM_2
    Specifies the second of up to five user defined information for a bibliography index entry.

  - ### CUSTOM_3

    public static final Key CUSTOM_3
    Specifies the third of up to five user defined information for a bibliography index entry.

  - ### CUSTOM_4

    public static final Key CUSTOM_4
    Specifies the fourth of up to five user defined information for a bibliography index entry.

  - ### CUSTOM_5

    public static final Key CUSTOM_5
    Specifies the fifth of up to five user defined information for a bibliography index entry.

  - ### EDITION

    public static final Key EDITION
    Specifies the edition for a bibliography index entry.

  - ### EDITOR

    public static final Key EDITOR
    Specifies the editor for a bibliography index entry.

  - ### HOW_PUBLISHED

    public static final Key HOW_PUBLISHED
    Specifies the publication type for a bibliography index entry.

  - ### IDENTIFIER

    public static final Key IDENTIFIER
    Specifies the identifier for a bibliography index entry.

  - ### INSTITUTION

    public static final Key INSTITUTION
    Specifies the institution for a bibliography index entry.

  - ### ISBN

    public static final Key ISBN
    Specifies the ISBN for a bibliography index entry.

  - ### ISSN

    public static final Key ISSN
    Specifies the ISSN for a bibliography index entry.

  - ### JOURNAL

    public static final Key JOURNAL
    Specifies the journal for a bibliography index entry.

  - ### MONTH

    public static final Key MONTH
    Specifies the month for a bibliography index entry.

  - ### NOTE

    public static final Key NOTE
    Specifies the note for a bibliography index entry.

  - ### NUMBER

    public static final Key NUMBER
    Specifies the number for a bibliography index entry.

  - ### ORGANIZATIONS

    public static final Key ORGANIZATIONS
    Specifies one or more organizations for a bibliography index entry.

  - ### PAGES

    public static final Key PAGES
    Specifies the page number or page numbers for a bibliography index entry.

  - ### PUBLISHER

    public static final Key PUBLISHER
    Specifies the publisher for a bibliography index entry.

  - ### REPORT_TYPE

    public static final Key REPORT_TYPE
    Specifies the report type for a bibliography index entry.

  - ### SCHOOL

    public static final Key SCHOOL
    Specifies the school for a bibliography index entry.

  - ### SERIES

    public static final Key SERIES
    Specifies the series for a bibliography index entry.

  - ### TITLE

    public static final Key TITLE
    Specifies the title for a bibliography index entry.

  - ### URL

    public static final Key URL
    Specifies the URI for a bibliography index entry.

  - ### VOLUME

    public static final Key VOLUME
    Specifies the volume for a bibliography index entry.

  - ### YEAR

    public static final Key YEAR
    Specifies the year for a bibliography index entry.

  - ### NONE

    public static final Key NONE
    None.

- ## Method Details

  - ### values

    public static Key[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Key valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null